Summary: An info file viewer.
Name: pinfo
Version: 0.6.6
Release: 4.XOS.1
Group: System Environment/Base
License: GPL
URL: http://zeus.polsl.gliwice.pl/~pborys
# Actual source is .gz'd so I put the URL here, but convert to bz2
#Source: http://zeus.polsl.gliwice.pl/~pborys/stable-version/pinfo-%{version}.tar.gz
Source: pinfo-%{version}.tar.bz2
Patch0: pinfo-0.6.0-mkstemp.patch
Patch1: pinfo-0.6.6-0.6.6p1.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel
Prereq: /sbin/install-info

%description
Pinfo is an info file (or man page) viewer with a user interface
similar to the Lynx Web browser's interface.  Pinfo supports searching
using regular expressions, and is based on the ncurses library.

%prep
%setup -q
%patch -p1 -b .mkstemp
%patch1 -p1 -b .patch0.6.6-0.6.6p1

%build
export CFLAGS=-ggdb
%configure --sysconfdir=/etc --disable-nls
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}
%{makeinstall}
ln -sf pinfo $RPM_BUILD_ROOT%{_bindir}/pman
ln -sf pinfo.1 $RPM_BUILD_ROOT%{_mandir}/man1/pman.1

# This file should not be packaged
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TECHSTUFF TODO
# Purposefully not flagged noreplace to ensure new versions have working config
%config %{_sysconfdir}/pinforc
%{_bindir}/pinfo
%{_bindir}/pman
%{_infodir}/pinfo.info*
%{_mandir}/man1/pinfo.1*
%{_mandir}/man1/pman.1*

%post
/sbin/install-info %{_infodir}/pinfo.info.gz %{_infodir}/dir
 
%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/pinfo.info.gz %{_infodir}/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.6.6-4.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on pinfo-0.6.6-4.src.rpm
  (md5sum of original source rpm: 9c809ab31cfb8a1dfe4cedbf83759daa).

* Wed Jan 22 2003 Mike A. Harris <mharris@redhat.com> 0.6.6-4
- Added pinfo-0.6.6-0.6.6p1.patch to fix bug (#78504)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Karsten Hopp <karsten@redhat.de> 0.6.6-2
- add missing Prereq

* Tue Nov 12 2002 Mike A. Harris <mharris@redhat.com> 0.6.6-1
- Updated to 0.6.6
- Corrected typos in description field

* Tue Nov 12 2002 Mike A. Harris <mharris@redhat.com> 0.6.4-9
- Now how ironic is *this* one?...  The info documentation on pinfo has been
  missing from our packages.  Mass rebuild tests caught this.  Fixed now.
- Added post/preun scripts for updating info dir db with install-info

* Sat Oct  5 2002 Mike A. Harris <mharris@redhat.com> 0.6.4-8
- All-arch rebuild
- Added _sysconfdir where appropriate

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.6.4-7
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 0.6.4-6
- automated rebuild

* Wed May 22 2002 Mike A. Harris <mharris@redhat.com> 0.6.4-5
- Bumped release to rebuild in rawhide

* Tue Feb 26 2002 Mike A. Harris <mharris@redhat.com> 0.6.4-4
- Bumped release to rebuild in rawhide

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.6.4-3
- automated rebuild

* Sun Dec 23 2001 Mike A. Harris <mharris@redhat.com> 0.6.4-2
- Bumped release to rebuild in rawhide

* Sun Dec 23 2001 Mike A. Harris <mharris@redhat.com> 0.6.4-1
- Updated to 0.6.4

* Wed Nov 21 2001 Mike A. Harris <mharris@redhat.com> 0.6.3-1
- Updated to 0.6.3

* Sat Jul 21 2001 Mike A. Harris <mharris@redhat.com> 0.6.1-2
- Add buildprereq on ncurses-devel

* Thu Jun 21 2001 Mike A. Harris <mharris@redhat.com> 0.6.1-1
- Updated to 0.6.1
- s/Copyright/License/ spec tag

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- move to the same group as the info and man packages

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- add pman(1) links, per documentation

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix possible crash due to use of tempnam()

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.6.0

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- spec file cleanups

* Thu Jun  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for main distribution
- use %%makeinstall

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- updated to 0.5.9
- use %%configure and %%{_prefix} where possible

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Sun Aug 8 1999 Tim Powers <timp@redhat.com>
- rebuilt to be included in Powertools
